var Ninja = function(){

	// Propriétés du joueur
	var width = 50;
	var height = 50;
	var x = Math.ceil(Math.random()*(800 - width));
	var y = 0;
	var v = 5;
	var color = 'green';
	var state = false;
	var imageObj = new Image();
	imageObj.src = 'img/ninja.png';

	// Dessine le ninja
	var draw = function(ctx){
		move();

        ctx.save();
        ctx.beginPath();
		ctx.drawImage(imageObj, x, height - 63);
		ctx.rect(x + (width / 2), y, 1, height - 45);
		ctx.fillStyle = "white";
		ctx.fill();
        ctx.restore();
	};

	// Utilisé pour déplacer le ninja
	var move = function(){
		height += v;
	};

	// Retourne l'état (actif ou inactif) du ninja
	var isActive = function(){
		return state;
	};

	// Permet de modifier l'état du ninja
	var setActive = function(etat){
		state = etat;
	};

	// Permet de réinitialiser la valeur de height
	var setHeight = function(){
		height = 50;
	};

	// Retourne la valeur de height
	var getHeight = function(){
		return height;
	};

	// Donne une nouvelle position au ninja
	var changeX = function(){
		x = Math.ceil(Math.random()*(800 - width));
	};

	// Retourne la valeur de x
	var getX = function(){
		return x;
	};

	// Retourne la valeur en y du ninja
	var getNinjaPos = function(){
		return height - 63;
	};

	// Retourne une API publique
    return {
        draw: draw,
        isActive: isActive,
        setActive: setActive,
        getHeight: getHeight,
        setHeight: setHeight,
        changeX: changeX,
        getX: getX,
        getNinjaPos: getNinjaPos
    };
};